Bug 189295 - bittorrent is not utf-8 aware
bittorrent is not utf-8 aware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 17:10 EDT by Need Real Name
Modified: 2011-06-27 09:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-04-18 17:10:29 EDT
When used in a German locale, the "Size" field appears as "Grö�~_e" instead of
"Größe" when running bittorrent-curses.

This is the most obvious problem.
Other problems are that the alignment of columns and therefore screen drawing
becomes wrong after a while, i.e. the characters get redrawn in the wrong place.

I don't know whether this is a bittorrent problem or a curses problem.
Switching from UTF-8 to iso-8859-1 in gnome-terminal does not help, it looks
equally bad (!)
Comment 1 Paul Howarth 2006-04-19 08:15:13 EDT
I'm not sure where the issue lies either.

I can reproduce the issue in "vi" if I set LANG to de.UTF-8 (locale not
recognised by glibc) and open the de.po file from the BitTorrent distribution.
If I set LANG to "de_DE.UTF-8", vi is happy and the characters are displayed
properly. So it looks like the messages are encoded properly upstream. However,
with LANG at "de_DE.UTF-8", bittorrent-curses still behaves as you've described.

I'll ask upstream for their thoughts.
Comment 2 Need Real Name 2006-04-21 07:38:45 EDT
Thanks. Any chance of getting the mailing list thread?
Comment 3 Paul Howarth 2006-04-21 07:50:45 EDT
I just forward bug reports to the bugs@bittorrent.com address advertised on the
BitTorrent website (near the end of the FAQ). As far as I know, it's a closed
mailing list.
Comment 4 Need Real Name 2006-10-23 13:11:59 EDT
Same problem in FC6. Will change Version field when able (unless you beat me to
it :)
Comment 5 Need Real Name 2007-01-19 11:30:32 EST
Any news please?
Comment 6 Paul Howarth 2007-01-19 11:56:58 EST
Upstream haven't responded to the bug report I sent them. I get the distinct
feeling that development is centred on the Windows version with the GUI, and the
curses and command-line versions are quite often broken even in non-beta releases. 

I just tried the current 5.0.5 release from upstream and:
* The curses client seems fine with LANG=en_GB.UTF-8 (my default)
* The console client looks OK with LANG=de_DE.UTF-8
* The curses client seems to die silently with LANG=de_DE.UTF-8

Do you see the same symptoms? I have a 5.0.5 version for FC6 testing here:
http://www.city-fan.org/ftp/contrib/bittorrent/
Comment 7 Need Real Name 2007-01-27 06:03:47 EST
Wow - that package is dependency mad! Four dependencies for Bittorrent.

I tried it, but I get the error:
>>> unable to setrlimit  not allowed to raise maximum limit

Don't worry about bug fixing this, I suppose it will trickle down when FC7 is out :)
Comment 8 Paul Howarth 2007-01-27 08:07:57 EST
Since 4.4, upstream have changed both their backend network stack, which is what
brings in the python-twisted dependencies, and their GUI toolkit, which is what
brings in the wx* dependencies.

As for the "unable to setrlimit" message, it's only a warning and is normal, so
I wouldn't worry about it.

More worrying from an FC7 point of view is that the GUI doesn't work with the
current wx* packages in rawhide; see Bug #223424.

Does the curses client work for you?
Comment 9 Need Real Name 2007-01-27 08:43:09 EST
No it doesn't - I get the warning, and it exits.
Comment 10 Bug Zapper 2008-04-03 22:40:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Paul Howarth 2008-04-09 05:39:22 EDT
The problem is worse on Fedora 7 onwards as translations don't work at all (Bug
#237254).
Comment 12 Bug Zapper 2008-05-13 22:08:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 18:08:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-04-27 07:39:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-02 14:43:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 09:54:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.